{ namespace, pkgs, lib, ... }:
let
  inherit (lib.${namespace}) enabled;
in
{
  reichard = {
    system = {
      boot = enabled;
      networking = enabled;
    };

    services = {
      openssh = {
        enable = true;
        authorizedKeys = [
          "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIIe1n9l9pVF5+kjWJCOt3AvBVf1HOSZkEDZxCWVPSIkr evan@reichard"
          "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIEGGGpRpDQRstoqnCAQioSnh6PZRzNQL7lGJHksIkcoF builder"
        ];
      };
    };
  };

  networking = {
    defaultGateway = {
      address = "10.0.50.130";
      interface = "enX0";
    };
    interfaces.enX0.ipv4.addresses = [{
      address = "10.0.50.130";
      prefixLength = 24;
    }];
  };

  # System Packages
  environment.systemPackages = with pkgs; [
    htop
    tmux
    vim
  ];
}
